Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.http
Class FlashCrossDomainServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.jivesoftware.openfire.http.FlashCrossDomainServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class FlashCrossDomainServlet

extends javax.servlet.http.HttpServlet

Serves up the flash cross domain xml file which allows other domains to access http-binding using flash. This implementation will first try to serve `<OpenfireHome>/conf/crossdomain.xml`. If this file is unavailable, a crossdomain file will be generated dynamically, based on the current settings of the Openfire BOSH functionality.

Author:
  Alexander Wenckus, Guus der Kinderen, guus.der.kinderen@gmail.com
See Also:
  Serialized Form

Field Summary
`static String` | `CROSS_DOMAIN_END_TEXT`
`static String` | `CROSS_DOMAIN_MIDDLE_TEXT`
`static String` | `CROSS_DOMAIN_TEXT`

Constructor Summary
`FlashCrossDomainServlet()`

Method Summary
`protected void` | `doGet(javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse response)`
`static String` | `getCrossDomainContent()` Returns the content for `crossdomain.xml`, either by generating content, or by passing the provided file in `<OpenfireHome>/conf/crossdomain.xml`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CROSS_DOMAIN_TEXT

    public static String CROSS_DOMAIN_TEXT

### CROSS_DOMAIN_MIDDLE_TEXT

    public static String CROSS_DOMAIN_MIDDLE_TEXT

### CROSS_DOMAIN_END_TEXT

    public static String CROSS_DOMAIN_END_TEXT

Constructor Detail

### FlashCrossDomainServlet

    public FlashCrossDomainServlet()

Method Detail

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest httpServletRequest,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

### getCrossDomainContent

    public static String getCrossDomainContent()

  Returns the content for `crossdomain.xml`, either by generating content, or by passing the provided file in `<OpenfireHome>/conf/crossdomain.xml`

  Returns:
    content for the `crossdomain.xml` that should be served for this service.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.